package shub.dpm;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class menuhandler_subs_0 {


public static RemoteObject  _addmenu(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("AddMenu (menuhandler) ","menuhandler",6,__ref.getField(false, "ba"),__ref,74);
if (RapidSub.canDelegate("addmenu")) { return __ref.runUserSub(false, "menuhandler","addmenu", __ref);}
RemoteObject _c = RemoteObject.declareNull("anywheresoftware.b4a.objects.drawable.ColorDrawable");
 BA.debugLineNum = 74;BA.debugLine="Public Sub AddMenu";
Debug.ShouldStop(512);
 BA.debugLineNum = 75;BA.debugLine="lvMenu.Initialize(\"lvmenu\")";
Debug.ShouldStop(1024);
__ref.getField(false,"_lvmenu" /*RemoteObject*/ ).runVoidMethod ("Initialize",__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("lvmenu")));
 BA.debugLineNum = 76;BA.debugLine="lvMenu.AddSingleLine(\"Einstellungen\")";
Debug.ShouldStop(2048);
__ref.getField(false,"_lvmenu" /*RemoteObject*/ ).runVoidMethod ("AddSingleLine",(Object)(BA.ObjectToCharSequence(RemoteObject.createImmutable("Einstellungen"))));
 BA.debugLineNum = 77;BA.debugLine="lvMenu.AddSingleLine(\"Über...\")";
Debug.ShouldStop(4096);
__ref.getField(false,"_lvmenu" /*RemoteObject*/ ).runVoidMethod ("AddSingleLine",(Object)(BA.ObjectToCharSequence(RemoteObject.createImmutable("Über..."))));
 BA.debugLineNum = 78;BA.debugLine="lvMenu.SingleLineLayout.Label.Textcolor=Colors.Bl";
Debug.ShouldStop(8192);
__ref.getField(false,"_lvmenu" /*RemoteObject*/ ).runMethod(false,"getSingleLineLayout").getField(false,"Label").runMethod(true,"setTextColor",menuhandler.__c.getField(false,"Colors").getField(true,"Black"));
 BA.debugLineNum = 79;BA.debugLine="menulist.Initialize()";
Debug.ShouldStop(16384);
__ref.getField(false,"_menulist" /*RemoteObject*/ ).runVoidMethod ("Initialize");
 BA.debugLineNum = 81;BA.debugLine="mnupnl.Initialize(\"\")";
Debug.ShouldStop(65536);
__ref.getField(false,"_mnupnl" /*RemoteObject*/ ).runVoidMethod ("Initialize",__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("")));
 BA.debugLineNum = 82;BA.debugLine="mnupnl.Width=60%x";
Debug.ShouldStop(131072);
__ref.getField(false,"_mnupnl" /*RemoteObject*/ ).runMethod(true,"setWidth",menuhandler.__c.runMethod(true,"PerXToCurrent",(Object)(BA.numberCast(float.class, 60)),__ref.getField(false, "ba")));
 BA.debugLineNum = 83;BA.debugLine="mnupnl.Height=lvMenu.Size*BarSize*2";
Debug.ShouldStop(262144);
__ref.getField(false,"_mnupnl" /*RemoteObject*/ ).runMethod(true,"setHeight",RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_lvmenu" /*RemoteObject*/ ).runMethod(true,"getSize"),__ref.getField(true,"_barsize" /*RemoteObject*/ ),RemoteObject.createImmutable(2)}, "**",0, 1));
 BA.debugLineNum = 84;BA.debugLine="mnupnl.Color=Colors.LightGray";
Debug.ShouldStop(524288);
__ref.getField(false,"_mnupnl" /*RemoteObject*/ ).runVoidMethod ("setColor",menuhandler.__c.getField(false,"Colors").getField(true,"LightGray"));
 BA.debugLineNum = 85;BA.debugLine="mnupnl.Top=BarSize+1";
Debug.ShouldStop(1048576);
__ref.getField(false,"_mnupnl" /*RemoteObject*/ ).runMethod(true,"setTop",RemoteObject.solve(new RemoteObject[] {__ref.getField(true,"_barsize" /*RemoteObject*/ ),RemoteObject.createImmutable(1)}, "+",1, 1));
 BA.debugLineNum = 86;BA.debugLine="mnupnl.Left=100%x-mnupnl.Width";
Debug.ShouldStop(2097152);
__ref.getField(false,"_mnupnl" /*RemoteObject*/ ).runMethod(true,"setLeft",RemoteObject.solve(new RemoteObject[] {menuhandler.__c.runMethod(true,"PerXToCurrent",(Object)(BA.numberCast(float.class, 100)),__ref.getField(false, "ba")),__ref.getField(false,"_mnupnl" /*RemoteObject*/ ).runMethod(true,"getWidth")}, "-",1, 1));
 BA.debugLineNum = 87;BA.debugLine="mnupnl.AddView(lvMenu,1,1,mnupnl.Width,mnupnl.Hei";
Debug.ShouldStop(4194304);
__ref.getField(false,"_mnupnl" /*RemoteObject*/ ).runVoidMethod ("AddView",(Object)((__ref.getField(false,"_lvmenu" /*RemoteObject*/ ).getObject())),(Object)(BA.numberCast(int.class, 1)),(Object)(BA.numberCast(int.class, 1)),(Object)(__ref.getField(false,"_mnupnl" /*RemoteObject*/ ).runMethod(true,"getWidth")),(Object)(__ref.getField(false,"_mnupnl" /*RemoteObject*/ ).runMethod(true,"getHeight")));
 BA.debugLineNum = 88;BA.debugLine="Dim c As ColorDrawable";
Debug.ShouldStop(8388608);
_c = RemoteObject.createNew ("anywheresoftware.b4a.objects.drawable.ColorDrawable");Debug.locals.put("c", _c);
 BA.debugLineNum = 89;BA.debugLine="c.Initialize2(Colors.White,5dip,3dip,Colors.DarkG";
Debug.ShouldStop(16777216);
_c.runVoidMethod ("Initialize2",(Object)(menuhandler.__c.getField(false,"Colors").getField(true,"White")),(Object)(menuhandler.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 5)))),(Object)(menuhandler.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 3)))),(Object)(menuhandler.__c.getField(false,"Colors").getField(true,"DarkGray")));
 BA.debugLineNum = 90;BA.debugLine="mnupnl.Background = c";
Debug.ShouldStop(33554432);
__ref.getField(false,"_mnupnl" /*RemoteObject*/ ).runMethod(false,"setBackground",(_c.getObject()));
 BA.debugLineNum = 91;BA.debugLine="mnupnl.Visible=False";
Debug.ShouldStop(67108864);
__ref.getField(false,"_mnupnl" /*RemoteObject*/ ).runMethod(true,"setVisible",menuhandler.__c.getField(true,"False"));
 BA.debugLineNum = 92;BA.debugLine="AActivity.AddView(mnupnl,100%x-mnupnl.Width,BarSi";
Debug.ShouldStop(134217728);
__ref.getField(false,"_aactivity" /*RemoteObject*/ ).runVoidMethod ("AddView",(Object)((__ref.getField(false,"_mnupnl" /*RemoteObject*/ ).getObject())),(Object)(RemoteObject.solve(new RemoteObject[] {menuhandler.__c.runMethod(true,"PerXToCurrent",(Object)(BA.numberCast(float.class, 100)),__ref.getField(false, "ba")),__ref.getField(false,"_mnupnl" /*RemoteObject*/ ).runMethod(true,"getWidth")}, "-",1, 1)),(Object)(RemoteObject.solve(new RemoteObject[] {__ref.getField(true,"_barsize" /*RemoteObject*/ ),RemoteObject.createImmutable(1)}, "+",1, 1)),(Object)(__ref.getField(false,"_mnupnl" /*RemoteObject*/ ).runMethod(true,"getWidth")),(Object)(__ref.getField(false,"_mnupnl" /*RemoteObject*/ ).runMethod(true,"getHeight")));
 BA.debugLineNum = 93;BA.debugLine="backimage.Visible=False";
Debug.ShouldStop(268435456);
__ref.getField(false,"_backimage" /*RemoteObject*/ ).runMethod(true,"setVisible",menuhandler.__c.getField(true,"False"));
 BA.debugLineNum = 94;BA.debugLine="menuimage.Visible=True";
Debug.ShouldStop(536870912);
__ref.getField(false,"_menuimage" /*RemoteObject*/ ).runMethod(true,"setVisible",menuhandler.__c.getField(true,"True"));
 BA.debugLineNum = 95;BA.debugLine="End Sub";
Debug.ShouldStop(1073741824);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _back_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("Back_Click (menuhandler) ","menuhandler",6,__ref.getField(false, "ba"),__ref,118);
if (RapidSub.canDelegate("back_click")) { return __ref.runUserSub(false, "menuhandler","back_click", __ref);}
 BA.debugLineNum = 118;BA.debugLine="Public Sub Back_Click";
Debug.ShouldStop(2097152);
 BA.debugLineNum = 119;BA.debugLine="AActivity.Finish";
Debug.ShouldStop(4194304);
__ref.getField(false,"_aactivity" /*RemoteObject*/ ).runVoidMethod ("Finish");
 BA.debugLineNum = 120;BA.debugLine="End Sub";
Debug.ShouldStop(8388608);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _class_globals(RemoteObject __ref) throws Exception{
 //BA.debugLineNum = 1;BA.debugLine="Sub Class_Globals";
 //BA.debugLineNum = 2;BA.debugLine="Dim AActivity As Activity";
menuhandler._aactivity = RemoteObject.createNew ("anywheresoftware.b4a.objects.ActivityWrapper");__ref.setField("_aactivity",menuhandler._aactivity);
 //BA.debugLineNum = 3;BA.debugLine="Dim pnl,mnupnl,pnlfooter As Panel";
menuhandler._pnl = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");__ref.setField("_pnl",menuhandler._pnl);
menuhandler._mnupnl = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");__ref.setField("_mnupnl",menuhandler._mnupnl);
menuhandler._pnlfooter = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");__ref.setField("_pnlfooter",menuhandler._pnlfooter);
 //BA.debugLineNum = 4;BA.debugLine="Dim appimage, menuimage, backimage As ImageView";
menuhandler._appimage = RemoteObject.createNew ("anywheresoftware.b4a.objects.ImageViewWrapper");__ref.setField("_appimage",menuhandler._appimage);
menuhandler._menuimage = RemoteObject.createNew ("anywheresoftware.b4a.objects.ImageViewWrapper");__ref.setField("_menuimage",menuhandler._menuimage);
menuhandler._backimage = RemoteObject.createNew ("anywheresoftware.b4a.objects.ImageViewWrapper");__ref.setField("_backimage",menuhandler._backimage);
 //BA.debugLineNum = 6;BA.debugLine="Dim Title, footer As Label";
menuhandler._title = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_title",menuhandler._title);
menuhandler._footer = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_footer",menuhandler._footer);
 //BA.debugLineNum = 7;BA.debugLine="Dim Titletext As String";
menuhandler._titletext = RemoteObject.createImmutable("");__ref.setField("_titletext",menuhandler._titletext);
 //BA.debugLineNum = 8;BA.debugLine="Dim menulist As List";
menuhandler._menulist = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");__ref.setField("_menulist",menuhandler._menulist);
 //BA.debugLineNum = 10;BA.debugLine="Public lvMenu As ListView";
menuhandler._lvmenu = RemoteObject.createNew ("anywheresoftware.b4a.objects.ListViewWrapper");__ref.setField("_lvmenu",menuhandler._lvmenu);
 //BA.debugLineNum = 11;BA.debugLine="Dim BarSize As Int=5%y";
menuhandler._barsize = menuhandler.__c.runMethod(true,"PerYToCurrent",(Object)(BA.numberCast(float.class, 5)),__ref.getField(false, "ba"));__ref.setField("_barsize",menuhandler._barsize);
 //BA.debugLineNum = 14;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _hidemenu(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("HideMenu (menuhandler) ","menuhandler",6,__ref.getField(false, "ba"),__ref,113);
if (RapidSub.canDelegate("hidemenu")) { return __ref.runUserSub(false, "menuhandler","hidemenu", __ref);}
 BA.debugLineNum = 113;BA.debugLine="Public Sub HideMenu";
Debug.ShouldStop(65536);
 BA.debugLineNum = 114;BA.debugLine="menuimage.Visible=False";
Debug.ShouldStop(131072);
__ref.getField(false,"_menuimage" /*RemoteObject*/ ).runMethod(true,"setVisible",menuhandler.__c.getField(true,"False"));
 BA.debugLineNum = 115;BA.debugLine="backimage.Visible=True";
Debug.ShouldStop(262144);
__ref.getField(false,"_backimage" /*RemoteObject*/ ).runMethod(true,"setVisible",menuhandler.__c.getField(true,"True"));
 BA.debugLineNum = 116;BA.debugLine="End Sub";
Debug.ShouldStop(524288);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _initialize(RemoteObject __ref,RemoteObject _ba) throws Exception{
try {
		Debug.PushSubsStack("Initialize (menuhandler) ","menuhandler",6,__ref.getField(false, "ba"),__ref,24);
if (RapidSub.canDelegate("initialize")) { return __ref.runUserSub(false, "menuhandler","initialize", __ref, _ba);}
__ref.runVoidMethodAndSync("innerInitializeHelper", _ba);
RemoteObject _pc = RemoteObject.declareNull("anywheresoftware.b4a.objects.drawable.ColorDrawable");
Debug.locals.put("ba", _ba);
 BA.debugLineNum = 24;BA.debugLine="Public Sub Initialize";
Debug.ShouldStop(8388608);
 BA.debugLineNum = 26;BA.debugLine="appimage.Initialize(\"\")";
Debug.ShouldStop(33554432);
__ref.getField(false,"_appimage" /*RemoteObject*/ ).runVoidMethod ("Initialize",__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("")));
 BA.debugLineNum = 27;BA.debugLine="menuimage.Initialize(\"menu\")";
Debug.ShouldStop(67108864);
__ref.getField(false,"_menuimage" /*RemoteObject*/ ).runVoidMethod ("Initialize",__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("menu")));
 BA.debugLineNum = 28;BA.debugLine="backimage.Initialize(\"back\")";
Debug.ShouldStop(134217728);
__ref.getField(false,"_backimage" /*RemoteObject*/ ).runVoidMethod ("Initialize",__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("back")));
 BA.debugLineNum = 29;BA.debugLine="menuimage.Visible=False";
Debug.ShouldStop(268435456);
__ref.getField(false,"_menuimage" /*RemoteObject*/ ).runMethod(true,"setVisible",menuhandler.__c.getField(true,"False"));
 BA.debugLineNum = 30;BA.debugLine="backimage.Visible=False";
Debug.ShouldStop(536870912);
__ref.getField(false,"_backimage" /*RemoteObject*/ ).runMethod(true,"setVisible",menuhandler.__c.getField(true,"False"));
 BA.debugLineNum = 31;BA.debugLine="pnl.Initialize(\"\")";
Debug.ShouldStop(1073741824);
__ref.getField(false,"_pnl" /*RemoteObject*/ ).runVoidMethod ("Initialize",__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("")));
 BA.debugLineNum = 32;BA.debugLine="pnl.Top=0";
Debug.ShouldStop(-2147483648);
__ref.getField(false,"_pnl" /*RemoteObject*/ ).runMethod(true,"setTop",BA.numberCast(int.class, 0));
 BA.debugLineNum = 33;BA.debugLine="pnl.Left=0";
Debug.ShouldStop(1);
__ref.getField(false,"_pnl" /*RemoteObject*/ ).runMethod(true,"setLeft",BA.numberCast(int.class, 0));
 BA.debugLineNum = 34;BA.debugLine="pnl.Width=100%x";
Debug.ShouldStop(2);
__ref.getField(false,"_pnl" /*RemoteObject*/ ).runMethod(true,"setWidth",menuhandler.__c.runMethod(true,"PerXToCurrent",(Object)(BA.numberCast(float.class, 100)),__ref.getField(false, "ba")));
 BA.debugLineNum = 35;BA.debugLine="pnl.Height=BarSize+2";
Debug.ShouldStop(4);
__ref.getField(false,"_pnl" /*RemoteObject*/ ).runMethod(true,"setHeight",RemoteObject.solve(new RemoteObject[] {__ref.getField(true,"_barsize" /*RemoteObject*/ ),RemoteObject.createImmutable(2)}, "+",1, 1));
 BA.debugLineNum = 36;BA.debugLine="pnl.Color=Colors.DarkGray";
Debug.ShouldStop(8);
__ref.getField(false,"_pnl" /*RemoteObject*/ ).runVoidMethod ("setColor",menuhandler.__c.getField(false,"Colors").getField(true,"DarkGray"));
 BA.debugLineNum = 37;BA.debugLine="appimage.Bitmap=LoadBitmapResize(File.DirAssets,\"";
Debug.ShouldStop(16);
__ref.getField(false,"_appimage" /*RemoteObject*/ ).runMethod(false,"setBitmap",(menuhandler.__c.runMethod(false,"LoadBitmapResize",(Object)(menuhandler.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(BA.ObjectToString("icon.png")),(Object)(__ref.getField(true,"_barsize" /*RemoteObject*/ )),(Object)(__ref.getField(true,"_barsize" /*RemoteObject*/ )),(Object)(menuhandler.__c.getField(true,"True"))).getObject()));
 BA.debugLineNum = 40;BA.debugLine="Title.Initialize(\"\")";
Debug.ShouldStop(128);
__ref.getField(false,"_title" /*RemoteObject*/ ).runVoidMethod ("Initialize",__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("")));
 BA.debugLineNum = 41;BA.debugLine="Title.Text=Titletext";
Debug.ShouldStop(256);
__ref.getField(false,"_title" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(__ref.getField(true,"_titletext" /*RemoteObject*/ )));
 BA.debugLineNum = 42;BA.debugLine="Title.TextColor=Colors.White";
Debug.ShouldStop(512);
__ref.getField(false,"_title" /*RemoteObject*/ ).runMethod(true,"setTextColor",menuhandler.__c.getField(false,"Colors").getField(true,"White"));
 BA.debugLineNum = 43;BA.debugLine="Title.TextSize=20";
Debug.ShouldStop(1024);
__ref.getField(false,"_title" /*RemoteObject*/ ).runMethod(true,"setTextSize",BA.numberCast(float.class, 20));
 BA.debugLineNum = 45;BA.debugLine="menuimage.Bitmap=LoadBitmapResize(File.DirAssets,";
Debug.ShouldStop(4096);
__ref.getField(false,"_menuimage" /*RemoteObject*/ ).runMethod(false,"setBitmap",(menuhandler.__c.runMethod(false,"LoadBitmapResize",(Object)(menuhandler.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(BA.ObjectToString("menuicon.png")),(Object)(__ref.getField(true,"_barsize" /*RemoteObject*/ )),(Object)(__ref.getField(true,"_barsize" /*RemoteObject*/ )),(Object)(menuhandler.__c.getField(true,"True"))).getObject()));
 BA.debugLineNum = 46;BA.debugLine="backimage.Bitmap=LoadBitmapResize(File.DirAssets,";
Debug.ShouldStop(8192);
__ref.getField(false,"_backimage" /*RemoteObject*/ ).runMethod(false,"setBitmap",(menuhandler.__c.runMethod(false,"LoadBitmapResize",(Object)(menuhandler.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(BA.ObjectToString("arrowback.png")),(Object)(__ref.getField(true,"_barsize" /*RemoteObject*/ )),(Object)(__ref.getField(true,"_barsize" /*RemoteObject*/ )),(Object)(menuhandler.__c.getField(true,"True"))).getObject()));
 BA.debugLineNum = 47;BA.debugLine="Dim pc As ColorDrawable";
Debug.ShouldStop(16384);
_pc = RemoteObject.createNew ("anywheresoftware.b4a.objects.drawable.ColorDrawable");Debug.locals.put("pc", _pc);
 BA.debugLineNum = 48;BA.debugLine="pc.Initialize2(0xFF077AFF,1,1,0xFF077AFF)";
Debug.ShouldStop(32768);
_pc.runVoidMethod ("Initialize2",(Object)(BA.numberCast(int.class, 0xff077aff)),(Object)(BA.numberCast(int.class, 1)),(Object)(BA.numberCast(int.class, 1)),(Object)(BA.numberCast(int.class, 0xff077aff)));
 BA.debugLineNum = 49;BA.debugLine="pnl.Background=pc";
Debug.ShouldStop(65536);
__ref.getField(false,"_pnl" /*RemoteObject*/ ).runMethod(false,"setBackground",(_pc.getObject()));
 BA.debugLineNum = 50;BA.debugLine="pnl.AddView(appimage,0,0,BarSize,BarSize)";
Debug.ShouldStop(131072);
__ref.getField(false,"_pnl" /*RemoteObject*/ ).runVoidMethod ("AddView",(Object)((__ref.getField(false,"_appimage" /*RemoteObject*/ ).getObject())),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 0)),(Object)(__ref.getField(true,"_barsize" /*RemoteObject*/ )),(Object)(__ref.getField(true,"_barsize" /*RemoteObject*/ )));
 BA.debugLineNum = 51;BA.debugLine="pnl.AddView(menuimage,100%x-BarSize,1,BarSize,Bar";
Debug.ShouldStop(262144);
__ref.getField(false,"_pnl" /*RemoteObject*/ ).runVoidMethod ("AddView",(Object)((__ref.getField(false,"_menuimage" /*RemoteObject*/ ).getObject())),(Object)(RemoteObject.solve(new RemoteObject[] {menuhandler.__c.runMethod(true,"PerXToCurrent",(Object)(BA.numberCast(float.class, 100)),__ref.getField(false, "ba")),__ref.getField(true,"_barsize" /*RemoteObject*/ )}, "-",1, 1)),(Object)(BA.numberCast(int.class, 1)),(Object)(__ref.getField(true,"_barsize" /*RemoteObject*/ )),(Object)(__ref.getField(true,"_barsize" /*RemoteObject*/ )));
 BA.debugLineNum = 52;BA.debugLine="pnl.AddView(backimage,100%x-BarSize,1,BarSize,Bar";
Debug.ShouldStop(524288);
__ref.getField(false,"_pnl" /*RemoteObject*/ ).runVoidMethod ("AddView",(Object)((__ref.getField(false,"_backimage" /*RemoteObject*/ ).getObject())),(Object)(RemoteObject.solve(new RemoteObject[] {menuhandler.__c.runMethod(true,"PerXToCurrent",(Object)(BA.numberCast(float.class, 100)),__ref.getField(false, "ba")),__ref.getField(true,"_barsize" /*RemoteObject*/ )}, "-",1, 1)),(Object)(BA.numberCast(int.class, 1)),(Object)(__ref.getField(true,"_barsize" /*RemoteObject*/ )),(Object)(__ref.getField(true,"_barsize" /*RemoteObject*/ )));
 BA.debugLineNum = 54;BA.debugLine="pnl.AddView(Title,appimage.Width+2%X,appimage.Top";
Debug.ShouldStop(2097152);
__ref.getField(false,"_pnl" /*RemoteObject*/ ).runVoidMethod ("AddView",(Object)((__ref.getField(false,"_title" /*RemoteObject*/ ).getObject())),(Object)(RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_appimage" /*RemoteObject*/ ).runMethod(true,"getWidth"),menuhandler.__c.runMethod(true,"PerXToCurrent",(Object)(BA.numberCast(float.class, 2)),__ref.getField(false, "ba"))}, "+",1, 1)),(Object)(RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_appimage" /*RemoteObject*/ ).runMethod(true,"getTop"),RemoteObject.createImmutable(2)}, "+",1, 1)),(Object)(menuhandler.__c.runMethod(true,"PerXToCurrent",(Object)(BA.numberCast(float.class, 60)),__ref.getField(false, "ba"))),(Object)(__ref.getField(true,"_barsize" /*RemoteObject*/ )));
 BA.debugLineNum = 56;BA.debugLine="pnlfooter.Initialize(\"\")";
Debug.ShouldStop(8388608);
__ref.getField(false,"_pnlfooter" /*RemoteObject*/ ).runVoidMethod ("Initialize",__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("")));
 BA.debugLineNum = 57;BA.debugLine="footer.Initialize(\"\")";
Debug.ShouldStop(16777216);
__ref.getField(false,"_footer" /*RemoteObject*/ ).runVoidMethod ("Initialize",__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("")));
 BA.debugLineNum = 59;BA.debugLine="pnlfooter.Height=BarSize/3";
Debug.ShouldStop(67108864);
__ref.getField(false,"_pnlfooter" /*RemoteObject*/ ).runMethod(true,"setHeight",BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {__ref.getField(true,"_barsize" /*RemoteObject*/ ),RemoteObject.createImmutable(3)}, "/",0, 0)));
 BA.debugLineNum = 60;BA.debugLine="pnlfooter.Background=pc";
Debug.ShouldStop(134217728);
__ref.getField(false,"_pnlfooter" /*RemoteObject*/ ).runMethod(false,"setBackground",(_pc.getObject()));
 BA.debugLineNum = 61;BA.debugLine="footer.Text=Chr(0x00A9)& \"2021 - Stefan Hutter Un";
Debug.ShouldStop(268435456);
__ref.getField(false,"_footer" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(RemoteObject.concat(menuhandler.__c.runMethod(true,"Chr",(Object)(BA.numberCast(int.class, 0x00a9))),RemoteObject.createImmutable("2021 - Stefan Hutter Unternehmensberatung"))));
 BA.debugLineNum = 62;BA.debugLine="footer.Gravity=Gravity.CENTER";
Debug.ShouldStop(536870912);
__ref.getField(false,"_footer" /*RemoteObject*/ ).runMethod(true,"setGravity",menuhandler.__c.getField(false,"Gravity").getField(true,"CENTER"));
 BA.debugLineNum = 63;BA.debugLine="footer.Width=100%x";
Debug.ShouldStop(1073741824);
__ref.getField(false,"_footer" /*RemoteObject*/ ).runMethod(true,"setWidth",menuhandler.__c.runMethod(true,"PerXToCurrent",(Object)(BA.numberCast(float.class, 100)),__ref.getField(false, "ba")));
 BA.debugLineNum = 64;BA.debugLine="pnlfooter.AddView(footer,1,1,pnlfooter.Width,pnlf";
Debug.ShouldStop(-2147483648);
__ref.getField(false,"_pnlfooter" /*RemoteObject*/ ).runVoidMethod ("AddView",(Object)((__ref.getField(false,"_footer" /*RemoteObject*/ ).getObject())),(Object)(BA.numberCast(int.class, 1)),(Object)(BA.numberCast(int.class, 1)),(Object)(__ref.getField(false,"_pnlfooter" /*RemoteObject*/ ).runMethod(true,"getWidth")),(Object)(__ref.getField(false,"_pnlfooter" /*RemoteObject*/ ).runMethod(true,"getHeight")));
 BA.debugLineNum = 67;BA.debugLine="End Sub";
Debug.ShouldStop(4);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _initialize2(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("Initialize2 (menuhandler) ","menuhandler",6,__ref.getField(false, "ba"),__ref,69);
if (RapidSub.canDelegate("initialize2")) { return __ref.runUserSub(false, "menuhandler","initialize2", __ref);}
 BA.debugLineNum = 69;BA.debugLine="public Sub Initialize2";
Debug.ShouldStop(16);
 BA.debugLineNum = 70;BA.debugLine="AActivity.AddView(pnl,0,0,pnl.Width,BarSize)";
Debug.ShouldStop(32);
__ref.getField(false,"_aactivity" /*RemoteObject*/ ).runVoidMethod ("AddView",(Object)((__ref.getField(false,"_pnl" /*RemoteObject*/ ).getObject())),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 0)),(Object)(__ref.getField(false,"_pnl" /*RemoteObject*/ ).runMethod(true,"getWidth")),(Object)(__ref.getField(true,"_barsize" /*RemoteObject*/ )));
 BA.debugLineNum = 71;BA.debugLine="AActivity.AddView(pnlfooter,0,100%y-pnlfooter.Hei";
Debug.ShouldStop(64);
__ref.getField(false,"_aactivity" /*RemoteObject*/ ).runVoidMethod ("AddView",(Object)((__ref.getField(false,"_pnlfooter" /*RemoteObject*/ ).getObject())),(Object)(BA.numberCast(int.class, 0)),(Object)(RemoteObject.solve(new RemoteObject[] {menuhandler.__c.runMethod(true,"PerYToCurrent",(Object)(BA.numberCast(float.class, 100)),__ref.getField(false, "ba")),__ref.getField(false,"_pnlfooter" /*RemoteObject*/ ).runMethod(true,"getHeight")}, "-",1, 1)),(Object)(menuhandler.__c.runMethod(true,"PerXToCurrent",(Object)(BA.numberCast(float.class, 100)),__ref.getField(false, "ba"))),(Object)(__ref.getField(false,"_pnlfooter" /*RemoteObject*/ ).runMethod(true,"getHeight")));
 BA.debugLineNum = 72;BA.debugLine="End Sub";
Debug.ShouldStop(128);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _lvmenu_itemclick(RemoteObject __ref,RemoteObject _position,RemoteObject _value) throws Exception{
try {
		Debug.PushSubsStack("lvmenu_ItemClick (menuhandler) ","menuhandler",6,__ref.getField(false, "ba"),__ref,102);
if (RapidSub.canDelegate("lvmenu_itemclick")) { return __ref.runUserSub(false, "menuhandler","lvmenu_itemclick", __ref, _position, _value);}
Debug.locals.put("Position", _position);
Debug.locals.put("Value", _value);
 BA.debugLineNum = 102;BA.debugLine="Private Sub lvmenu_ItemClick (Position As Int, Val";
Debug.ShouldStop(32);
 BA.debugLineNum = 103;BA.debugLine="If Value=\"Einstellungen\" Then StartActivity(\"Para";
Debug.ShouldStop(64);
if (RemoteObject.solveBoolean("=",_value,RemoteObject.createImmutable(("Einstellungen")))) { 
menuhandler.__c.runVoidMethod ("StartActivity",__ref.getField(false, "ba"),(Object)((RemoteObject.createImmutable("Parameter"))));};
 BA.debugLineNum = 104;BA.debugLine="If Value=\"Über...\" Then StartActivity(\"About\")";
Debug.ShouldStop(128);
if (RemoteObject.solveBoolean("=",_value,RemoteObject.createImmutable(("Über...")))) { 
menuhandler.__c.runVoidMethod ("StartActivity",__ref.getField(false, "ba"),(Object)((RemoteObject.createImmutable("About"))));};
 BA.debugLineNum = 106;BA.debugLine="mnupnl.Visible=False";
Debug.ShouldStop(512);
__ref.getField(false,"_mnupnl" /*RemoteObject*/ ).runMethod(true,"setVisible",menuhandler.__c.getField(true,"False"));
 BA.debugLineNum = 107;BA.debugLine="End Sub";
Debug.ShouldStop(1024);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _menu_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("menu_click (menuhandler) ","menuhandler",6,__ref.getField(false, "ba"),__ref,97);
if (RapidSub.canDelegate("menu_click")) { return __ref.runUserSub(false, "menuhandler","menu_click", __ref);}
 BA.debugLineNum = 97;BA.debugLine="Sub menu_click";
Debug.ShouldStop(1);
 BA.debugLineNum = 98;BA.debugLine="If mnupnl.Visible=False Then mnupnl.Visible=True";
Debug.ShouldStop(2);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_mnupnl" /*RemoteObject*/ ).runMethod(true,"getVisible"),menuhandler.__c.getField(true,"False"))) { 
__ref.getField(false,"_mnupnl" /*RemoteObject*/ ).runMethod(true,"setVisible",menuhandler.__c.getField(true,"True"));}
else {
__ref.getField(false,"_mnupnl" /*RemoteObject*/ ).runMethod(true,"setVisible",menuhandler.__c.getField(true,"False"));};
 BA.debugLineNum = 99;BA.debugLine="End Sub";
Debug.ShouldStop(4);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _setpanel(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("setpanel (menuhandler) ","menuhandler",6,__ref.getField(false, "ba"),__ref,17);
if (RapidSub.canDelegate("setpanel")) { return __ref.runUserSub(false, "menuhandler","setpanel", __ref);}
 BA.debugLineNum = 17;BA.debugLine="public Sub setpanel";
Debug.ShouldStop(65536);
 BA.debugLineNum = 18;BA.debugLine="pnl.Top=0";
Debug.ShouldStop(131072);
__ref.getField(false,"_pnl" /*RemoteObject*/ ).runMethod(true,"setTop",BA.numberCast(int.class, 0));
 BA.debugLineNum = 19;BA.debugLine="pnl.Left=0";
Debug.ShouldStop(262144);
__ref.getField(false,"_pnl" /*RemoteObject*/ ).runMethod(true,"setLeft",BA.numberCast(int.class, 0));
 BA.debugLineNum = 20;BA.debugLine="pnl.Width=100%x";
Debug.ShouldStop(524288);
__ref.getField(false,"_pnl" /*RemoteObject*/ ).runMethod(true,"setWidth",menuhandler.__c.runMethod(true,"PerXToCurrent",(Object)(BA.numberCast(float.class, 100)),__ref.getField(false, "ba")));
 BA.debugLineNum = 21;BA.debugLine="pnl.Height=BarSize+2";
Debug.ShouldStop(1048576);
__ref.getField(false,"_pnl" /*RemoteObject*/ ).runMethod(true,"setHeight",RemoteObject.solve(new RemoteObject[] {__ref.getField(true,"_barsize" /*RemoteObject*/ ),RemoteObject.createImmutable(2)}, "+",1, 1));
 BA.debugLineNum = 23;BA.debugLine="End Sub";
Debug.ShouldStop(4194304);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _settitle(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("SetTitle (menuhandler) ","menuhandler",6,__ref.getField(false, "ba"),__ref,109);
if (RapidSub.canDelegate("settitle")) { return __ref.runUserSub(false, "menuhandler","settitle", __ref);}
 BA.debugLineNum = 109;BA.debugLine="Public Sub SetTitle";
Debug.ShouldStop(4096);
 BA.debugLineNum = 110;BA.debugLine="Title.Text=Titletext";
Debug.ShouldStop(8192);
__ref.getField(false,"_title" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(__ref.getField(true,"_titletext" /*RemoteObject*/ )));
 BA.debugLineNum = 111;BA.debugLine="End Sub";
Debug.ShouldStop(16384);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}